@font-face {
  font-family: jgs;
  src: url(assets/jgs9.ttf);

}

body {
  background: #000;
  padding: 0px;
  margin: 0px;
  background-image: url(assets/drawings/svg/background.svg);
  background-size: 100% auto;
  background-position: 50% 50%;
}

#phone {
  background: #000;
  width: calc(100vh*0.53 - 50px);
  max-width: calc(100% - 10px);
  margin: 10px auto;
  height: calc(100vh - 100px);
  border: 3px solid #FFF;
  border-radius: 30px;
  color: #FFF;
  position: relative;
  overflow: hidden;
}

.home header,
.messages header {
  background: #000;
}

#phone>header {
  text-align: right;
  padding: 10px 20px;
  position: absolute;
  z-index: 2;
  width: calc(100% - 35px);
  /*! left: 10px; */
  /*! background: #000; */
}

#phone>header>svg {
  vertical-align: middle;
}

#clock {
  float: right;
  margin-left: 10px;
  font-size: 15px;
  font-family: Arial;
  vertical-align: middle;
}

#notification_icon {
  position: absolute;
  top: -20px;
}

.notification_visible #notification_icon {
  top: 10px;
}

#notification_popup {
  font-family: arial;
  position: absolute;
  box-shadow: 1px 1px 10px #000;
  top: -120px;
  background: #333;
  text-align: left;
  padding: 15px 30px;
  border-radius: 15px;
  border-top-left-radius: 0px;
  border: 1px solid #FFF;
  margin-left: 10px;
  width: calc(100% - 130px);
  padding-bottom: 20px;
  max-height: 80px;
  transition-property: top;
  transition-duration: 1s;

  overflow: hidden;
  text-overflow: ellipsis;
}

.notification_popup_visible #notification_popup {
  top: 30px;
}

#notification_popup>div {
  display: inline-block;
}

#body {
  max-height: 100%;
  width: 100%;
  overflow: auto;

  height: 100%;
}

#body>div {
  padding-bottom: 20px;
  padding-top: 50px;
}

#home>.app {
  border: none;
  width: calc(33% - 5px);
  border: none;
  background: none;
  color: #FFF;
  margin-bottom: 30px;
  cursor: pointer;
}

.no-touch #home>.app:hover {
  color: #2d9dff;
}

#home>.app>svg {
  width: 30px;
  height: 30px;
  padding: 20px;
  padding-bottom: 10px;

}

#home>.app>span {
  display: block;

}

#phone>footer {
  position: absolute;
  /*! border:1px solid #000; */
  bottom: 0px;
  width: 100%;
  height: 40px;
  background: #000;
}

#btn_back,
#btn_home {
  background: none;
  border: none;
  color: #FFF;
  position: absolute;
  cursor: pointer;
}

.no-touch #btn_back:hover,
.no-touch #btn_home:hover {
  color: #2d9dff;
}

#btn_back {
  left: 10%;
  top: 9px;

}

#btn_home {
  left: calc(50% - 15px);
  top: 9px;
}

#btn_back>svg {
  width: 20px;
  height: 20px;

}

#btn_home>svg {
  width: 20px;
  height: 20px;
}











#messages {
  display: none;

}

.messages>#body>#messages {
  display: block;
}

.messages>#body>#home {
  display: none;
}

#messages {
  padding-top: 50px;

  /*! position: absolute; */
  /*! background: #111; */
  width: 100%;
  /*! height: 100%; */
  top: 0px;
  margin-bottom: 50px;
}

#messages>div {
  position: relative;
  margin-bottom: 15px;
}

#messages>div.to {
  text-align: right;
}

#messages>div>.avatar {
  float: left;
  vertical-align: top;

  margin-left: 10px;
}

#messages>div>.avatar>svg {
  width: 30px;
  height: 30px;
  margin-right: 15px;
}

#messages>div>.message {
  text-align: left;
  max-width: calc(100% - 170px);
  background: #006699;
  padding: 15px 30px;
  border-radius: 15px;
  display: inline-block;
  vertical-align: top;
  font-family: Arial;
}

#messages>div.success>.message {
  background: #009966;
}

#messages>div>.message>img {
  width: 100%;
}

#messages>div.from>.message {
  background: #333;
}

#messages>div.to>.message {
  border-top-right-radius: 0px;
  margin-right: 10px;
}

#messages>div.from>.message {
  border-top-left-radius: 0px;
}

#messages>div.from>.message>b {
  color: #00DBFF;
}

#messages>div>.message.choices {
  display: block;
  margin: 10px;
  max-width: none;
  border-radius: 10px;
  border-top-right-radius: 10px;
  text-align: center;
  background: #333;
  width: calc(100% - 20px);
  border: none;
  color: #FFF;
  font-size: 15px;
  cursor: pointer;
  opacity: 0;
  animation-name: display_choices;
  animation-fill-mode: forwards;
  animation-duration: .5s;

}

#messages>div>.message.choices:nth-of-type(1) {
  animation-delay: .5s;
}

#messages>div>.message.choices:nth-of-type(2) {
  animation-delay: 1s;
}

#messages>div>.message.choices:nth-of-type(3) {
  animation-delay: 1.5s;
}

#messages>div>.message.choices:nth-of-type(4) {
  animation-delay: 2s;
}

#messages>div>.message.choices:nth-of-type(5) {
  animation-delay: 2.5s;
}

@keyframes display_choices {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.no-touch #messages>div>.message.choices:hover {
  background-color: #069;
}




#messages>div>.checks {
  position: absolute;
  right: 16px;
  margin-top: -20px;
  animation-name: checks;
  animation-fill-mode: forwards;
  animation-duration: .6s;
  animation-delay: 1s;
  opacity: 0;

}

@keyframes checks {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}


#messages>div>.dots {
  display: inline-block;
  vertical-align: top;
  border-radius: 15px;
  background-color: #333;
  padding: 5px 15px;


}

#messages>div>.dots {
  display: none;
}

#messages>div>.message {
  display: inline-block;
}

#messages>div.typing>.dots {
  display: inline-block;
}

#messages>div.typing>.message {
  display: none;
}

#messages>div>.dots>span {
  background: #FFF;
  display: inline-block;
  display: none2;
  width: 5px;
  height: 5px;
  border-radius: 5px;
  margin: 2px;
  animation-name: dots;
  animation-duration: .6s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
  position: relative;
}

#messages>div>.dots>span:nth-child(1) {
  animation-delay: .2s;
}

#messages>div>.dots>span:nth-child(2) {
  animation-delay: .4s;
}

#messages>div>.dots>span:nth-child(3) {
  animation-delay: .6s;
}

@keyframes dots {
  0% {
    top: -3px;
  }

  100% {
    top: 0px;
  }
}









#camera {
  display: none;
}

.camera>#body>#camera {
  display: block;
}

.camera>#body>#home {
  display: none;
}

#camera {
  padding-top: 40px;
  /*! position: absolute; */

  width: 100%;
  height: 100%;
  top: 0px;
}


#btn_shot {
  position: absolute;
  width: 40px;
  height: 40px;
  border-radius: 30px;
  background: #C00;
  border: 3px solid #000;
  outline: 3px solid #FFF;
  bottom: 80px;
  left: calc(50% - 20px);
}

/*
#btn_map_shot{
  position:absolute;
  bottom:86px;
  border:none;
  background:transparent;
  color:#000;
  background-color:#FFF;
  border-radius:40px;
  width:40px;
  height:40px;
}
#btn_map_shot>svg{
  height:20px;
  width:20px;
  
}
*/
#cursor {
  position: absolute;
  width: 100px;
  height: 100px;
  border-radius: 100px;
  border: 3px dashed #EEE;
  left: calc(50% - 50px);
  top: calc(50% - 100px);
  background: #CCC;
  mix-blend-mode: overlay;

}

#cursor.active {
  background: #F00;
}

.background {
  width: 300vh;
  height: 200vh;
  background-size: cover;

}



.hack * {
  animation-name: hacks2;
  animation-iteration-count: infinite;
  animation-duration: 2s;
}

.hack #notification_popup {
  max-width: 45%;
}


@keyframes hacks2 {
  0% {
    left: 0%;
    color: #0F0;
    top: -10px;
  }

  19% {
    left: 0%;
    color: #F00;
    top: 10px;
  }

  20% {
    left: 30%;
    color: #0F0;
  }
}

.hack #clock,
.hack header {
  font-size: 30px;
  left: 0% !important;
}

.hack .glitch {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  animation-name: hacks;
  animation-fill-mode: forwards;

  animation-iteration-count: infinite;
  transition-property: left;
  transition-duration: 0.01s;

}

@keyframes hacks {
  0% {
    left: 0%;
  }

  19% {
    left: 0%;
  }

  20% {
    left: 30%;
  }

  21% {
    left: 10%;
  }

  40% {
    left: 10%;
  }

  41% {
    left: 60%;
  }

  70% {
    left: 60%;
  }

  71% {
    left: 10%;
  }

  90% {
    left: 10%;
  }

  91% {
    left: 0%;
  }

  100% {
    left: 0%;
  }
}

.hack .glitch:nth-child(1) {
  animation-delay: 1s;
  animation-duration: .6s;
  mix-blend-mode: color-dodge;
  background: url(assets/glitch-2717633_1280.jpg);
}

.hack .glitch:nth-child(2) {
  animation-delay: 2s;
  animation-duration: 1s;
  mix-blend-mode: screen;
  background: url(assets/glitch-2717634_1280.jpg);
}

.hack .glitch:nth-child(3) {
  animation-delay: 2s;
  animation-duration: 3s;
  mix-blend-mode: multiply;
  background: url(assets/smpte-color-bars-5791787_1280.gif);
}


#home {
  position: relative;
}

#map {
  display: none;
}

.map>#body>#map {
  display: block;
}

.map>#body>#home {
  display: none;
}

#map {
  padding-top: 40px;
  /*! position: absolute; */

  width: 100%;
  height: 100%;
  top: 0px;
  background: url(assets/city-map-4320755.svg);
  background-size: cover;
  background-position: 100% 100%;
  text-align: center;

}


.pin {
  margin-top: 30px;
  background: transparent;
  border: none;

  position: relative;
  cursor: pointer;
}

.no-touch .pin:hover>div {
  border-color: #2d9dff;
}

.pin>svg {
  color: #FFF;
  width: 30px;
  height: 30px;
  position: absolute;
  bottom: 10px;
  right: 10px;
}

.pin>div {
  width: 150px;
  height: 150px;
  background: #CCC;
  background-size: cover;
  border: 5px solid #FFF;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.4);
  border-radius: 10px;
  background-position: 50% 50%;

}

#pin_1>div,
#background_1 {
  background-image: url(assets/drawings/svg/bedroom.jpg);
}

#pin_2>div,
#background_2 {
  background-image: url(assets/drawings/kitchen.jpg);
}

#pin_3>div,
#background_3 {
  background-image: url(assets/drawings/bathroom.jpg);
}

.background {
  display: none;
}

.scene_1 #background_1,
.scene_2 #background_2,
.scene_3 #background_3,
.scene_4 #background_4,
.scene_5 #background_5 {
  display: block;
}


#reuse {
  display: none;
}

.notification_visible #btn_messages:after {

  content: '1';
  position: absolute;
  background-color: #2d9dff;
  color: #FFF;
  border-radius: 15px;
  padding: 5px;
  margin-top: -50px;
  margin-left: 15px;

}

.intro.notification_visible #btn_messages:after {
  display: none;
}



#main_menu {
  display: none;
}

.main_menu>#body>#main_menu {
  display: block;
}

.main_menu>#body>#home {
  display: none;
}

#main_menu {
  text-align: center;
}

#btn_start {
  padding: 20px 50px;
  color: #FFF;
  font-size: 27px;
  background: transparent;
  border: 1px solid #FFF;
  border-radius: 5px;
  margin-top: 50%;
  font-family: jgs;
  cursor: pointer;
}

.no-touch #btn_start:hover {
  border-color: #2d9dff;
  color: #2d9dff;
}


#credit {

  padding: 20px 50px;
  color: #FFF;
  font-size: 35px;
  border-radius: 5px;
  margin-top: 50%;
  font-family: jgs;

}

::-webkit-scrollbar {
  width: 5px;

  background: #000
}

::-webkit-scrollbar-thumb {
  background: #666;
  border-radius: 3px
}



.attention_grabber {
  animation-name: attention_grabber;
  animation-duration: .6s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
  position: relative;
}



@keyframes attention_grabber {
  0% {
    color: #FFF;
    transform: scale(1);
  }

  100% {
    color: #40dae3;
    transform: scale(1.3);
  }
}

#btn_home.attention_grabber {
  animation-name: attention_grabber_home;
}

@keyframes attention_grabber_home {
  0% {
    color: #FFF;
    transform: scale(1);
  }

  100% {
    color: #40dae3;
    transform: scale(1.5);
  }
}